質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.75%

  • Ruby

    7022questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 4

    2380questions

    Ruby on Rails4はRubyによって書かれたオープンソースのウェブフレームワークです。 Ruby on Railsは「設定より規約」の原則に従っており、効率的に作業を行うために再開発を行う必要をなくしてくれます。

Railsのサーバー起動に関して困っています。

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 579

techtottori

score 20

発生している問題・エラーメッセージ

bin/rails s
/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in require': cannot load such file -- bundler/setup (LoadError)
    from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in require'
from /Users/Takashi/rails/asagao/config/boot.rb:3:in <top (required)>'
    from bin/rails:3:in require_relative'
from bin/rails:3:in `<main>'

試したこと

エラーに対してググってみたことを試した。
http://qiita.com/akatsuki174/items/c0384b9903b4b5cbbdaf
http://qiita.com/nakanowax/items/fe07e8ccd1721befebeb

Takashi-no-MacBook-Pro:~ Takashi$ cd asagao
Takashi-no-MacBook-Pro:asagao Takashi$ bundle install
/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:315:in `to_specs': Could not find 'bundler' (>= 0) among 49 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/Users/Takashi/.gem/ruby/2.2.0:/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/gems/2.2.0', execute `gem env` for more information
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:324:in `to_spec'
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_gem.rb:64:in `gem'
from /Users/Takashi/.rbenv/versions/2.2.1/bin/bundle:22:in `<main>'
Takashi-no-MacBook-Pro:asagao Takashi$ rake db:migrate
rake aborted!
LoadError: cannot load such file -- bundler/setup
/Users/Takashi/asagao/config/boot.rb:3:in `<top (required)>'
/Users/Takashi/asagao/config/application.rb:1:in `<top (required)>'
/Users/Takashi/asagao/Rakefile:4:in `<top (required)>'
(See full trace by running task with --trace)
Takashi-no-MacBook-Pro:asagao Takashi$ rails s
/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require': cannot load such file -- bundler/setup (LoadError)
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
from /Users/Takashi/asagao/config/boot.rb:3:in `<top (required)>'
from bin/rails:3:in `require_relative'
from bin/rails:3:in `<main>'
Takashi-no-MacBook-Pro:asagao Takashi$ ruby -v
ruby 2.2.1p85 (2015-02-26 revision 49769) [x86_64-darwin15]
Takashi-no-MacBook-Pro:asagao Takashi$


bundle listを打ち込んで見たのですが、Gemfileの中身が見れませんでした。
これはパスが間違っているのでしょうか?

Takashi-no-MacBook-Pro:asagao Takashi$ bundle list
/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:315:in `to_specs': Could not find 'bundler' (>= 0) among 49 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/Users/Takashi/.gem/ruby/2.2.0:/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/gems/2.2.0', execute `gem env` for more information
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:324:in `to_spec'
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_gem.rb:64:in `gem'
from /Users/Takashi/.rbenv/versions/2.2.1/bin/bundle:22:in `<main>'
Takashi-no-MacBook-Pro:asagao Takashi$ bundle check
/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:315:in `to_specs': Could not find 'bundler' (>= 0) among 49 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/Users/Takashi/.gem/ruby/2.2.0:/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/gems/2.2.0', execute `gem env` for more information
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:324:in `to_spec'
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_gem.rb:64:in `gem'
from /Users/Takashi/.rbenv/versions/2.2.1/bin/bundle:22:in `<main>'
Takashi-no-MacBook-Pro:asagao Takashi$ bundle update
/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:315:in `to_specs': Could not find 'bundler' (>= 0) among 49 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/Users/Takashi/.gem/ruby/2.2.0:/Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/gems/2.2.0', execute `gem env` for more information
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/dependency.rb:324:in `to_spec'
from /Users/Takashi/.rbenv/versions/2.2.1/lib/ruby/2.2.0/rubygems/core_ext/kernel_gem.rb:64:in `gem'
from /Users/Takashi/.rbenv/versions/2.2.1/bin/bundle:22:in `<main>'
Takashi-no-MacBook-Pro:asagao Takashi$

これで合っていますでしょうか?
gem list

* LOCAL GEMS *

actionmailer (4.2.1)
actionpack (4.2.1)
actionview (4.2.1)
activejob (4.2.1)
activemodel (4.2.1)
activerecord (4.2.1)
activesupport (4.2.1)
arel (6.0.4)
bigdecimal (1.2.6)
builder (3.2.3)
coffee-script-source (1.12.2)
concurrent-ruby (1.0.5)
erubis (2.7.0)
execjs (2.7.0)
globalid (0.4.0)
i18n (0.8.6)
io-console (0.4.3)
json (1.8.1)
loofah (2.0.3)
mail (2.6.6)
mime-types (3.1)
mime-types-data (3.2016.0521)
mini_portile2 (2.2.0)
minitest (5.10.3, 5.4.3)
multi_json (1.12.1)
nokogiri (1.8.0)
power_assert (0.2.2)
psych (2.0.8)
rack (1.6.8)
rack-test (0.6.3)
rails (4.2.1)
rails-deprecated_sanitizer (1.0.3)
rails-dom-testing (1.0.8)
rails-html-sanitizer (1.0.3)
railties (4.2.1)
rake (12.0.0, 10.4.2)
rb-fsevent (0.10.2)
rdoc (4.3.0, 4.2.0)
sprockets (3.7.1)
sprockets-rails (3.2.1)
test-unit (3.0.8)
thor (0.20.0)
thread_safe (0.3.6)
tilt (2.0.8)
turbolinks-source (5.0.3)
tzinfo (1.2.3)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • mts10806

    2017/09/05 17:27

    プログラムコード(およびエラーメッセージ)は```で囲ってください。(わからなければ質問編集画面でコード部分を選択し<code>ボタンを押してください)

    キャンセル

  • techtottori

    2017/09/05 17:35

    見づらい投稿をしてしまい申し訳ありません。すぐ編集し直します。

    キャンセル

回答 1

checkベストアンサー

0

Could not find 'bundler' (>= 0) among 49 total gem(s) (Gem::LoadError)

とのエラーですのでgem install bundlerbundle updateを試してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/12 16:16

    ありがとうございました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.75%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby

    7022questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 4

    2380questions

    Ruby on Rails4はRubyによって書かれたオープンソースのウェブフレームワークです。 Ruby on Railsは「設定より規約」の原則に従っており、効率的に作業を行うために再開発を行う必要をなくしてくれます。